Bug 1399445 - port beaker-create-ipxe-image to the OpenStack Images API v2
Summary: port beaker-create-ipxe-image to the OpenStack Images API v2
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: general
Version: develop
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 24.0
Assignee: matt jia
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-29 05:13 UTC by matt jia
Modified: 2017-02-21 18:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-21 18:48:13 UTC


Attachments (Terms of Use)

Description matt jia 2016-11-29 05:13:50 UTC
Since we are going to use a higher version python-glanceclient which supports the  OpenStack Images API v2, we should port beaker-create-ipxe-image to use the API v2 instead of API v1 which will be deprecated.

Comment 1 matt jia 2016-11-29 05:14:17 UTC
On Gerrit:

  https://gerrit.beaker-project.org/#/c/5475/

Comment 2 Roman Joost 2016-12-13 07:06:26 UTC
This bug fix is included in beaker-server-24.0.git.210.01bf4bf which is currently available for testing here:

https://beaker-devel.app.eng.bos.redhat.com/

Comment 3 Hui Wang 2016-12-15 04:44:15 UTC
Verified this issue.
The result is PASS.
Version: 24.0.git.210.01bf4bf

steps:
1.Enable openstack integration in beaker server side.
2.Upload ipxe image to openstack 
$beaker-create-ipxe-image --os-username=xx --os-password=xx --os-project=xx

The image was uploaded to penstack.

Comment 4 Dan Callaghan 2017-02-21 18:48:13 UTC
Beaker 24.0 has been released.


Note You need to log in before you can comment on or make changes to this bug.